FASTJET-CONFIG(1)

NAME
fastjet-config - fastjet-config

DESCRIPTION
This is FastJet configuration tool. Usage:

    fastjet-config [--help] [--version] [--prefix] [--cxxflags] [--libs]

    [--shared[=yes|no]] [--plugins[=yes|no]] [--rpath[=yes|no]] [--runpath] [--list-plugins] [--config]

The arguments can be either queries (one must be present):

--help
    prints this message and exits

--version
    prints FastJet version and exits

--prefix
    gets the FastJet installation directory

--cxxflags
    returns the compilation flags to be used with C++ programs

--libs
    returns the flags to pass to the linker

or flags (optional):

--shared
    controls whether you want to use the static or shared lib (default=yes)

--plugins
    controls whether you also want to link the FastJet plugins (default=no)

--rpath
    adds a -rpath argument at link-time that points to the directory where FastJet libraries are installed. This avoid having to set LD_LIBRARY_PATH at runtime when using shared libs in a non standard location (but may cause the program to inadvertently pick up other shared libraries that happen to be in the FastJet installation directory). (default=yes)

--runpath
    at link-time, adds info about the directory where FastJet libraries are installed to the runpath (ELF systens only). This avoids having to set LD_LIBRARY_PATH at runtime when using shared libs in a non standard location but gives priority to an existing LD_LIBRARY_PATH.

--list-plugins
    list all the available plugins

--config
    shows a summary of how FastJet was configured

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).